    /*
     *  call-seq:
     *     clause.occur = occur -> occur
     *
     *  Set the +occur+ value for this BooleanClause. +occur+ must be one of
     *  +:must+, +:should+ or +:must_not+.
     */
    static VALUE
    frt_bc_set_occur(VALUE self, VALUE roccur)
    {
        GET_BC();
        enum BC_TYPE occur = frt_get_occur(roccur);
        bc_set_occur(bc, occur);

        return roccur;
    }